TLS certificates
v1.6.2
Download OpenAPI
Create TLS organization
Create a DigiCert-backed TLS organization including the local contact record used for OV or EV certificate ordering.
POST
/tls/organization
TLSOrganizations

Authentication

x-api-keyapplication/json

Request body

application/jsonRequired
TLS organization payload
tlsOrganizationCreateRequest
tlsOrganizationCreateRequest
{
  "organization": "example",
  "first_name": "example",
  "last_name": "example",
  "address": "example",
  "postal_code": "example",
  "city": "example",
  "country_code": "example",
  "phone": "example",
  "email": "example"
}

Fields

Name
Type
Format
Required
Description
organization
string
β€”
Required
β€”
first_name
string
β€”
Required
β€”
last_name
string
β€”
Required
β€”
address
string
β€”
Required
β€”
postal_code
string
β€”
Required
β€”
city
string
β€”
Required
β€”
country_code
string
β€”
Required
β€”
phone
string
β€”
Required
β€”
email
string
β€”
Required
β€”

Request example

POST
curl --request POST \
  --url 'https://api.regfish.com/tls/organization' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "organization": "example",
  "first_name": "example",
  "last_name": "example",
  "address": "example",
  "postal_code": "example",
  "city": "example",
  "country_code": "example",
  "phone": "example",
  "email": "example"
}'

Responses

200
TLS organization created
application/jsontlsOrganizationResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "hdl_7K9QW3M2ZT8HJ",
    "organization": "example",
    "status": "ready",
    "usable_for_ordering": true,
    "first_name": "example",
    "last_name": "example",
    "address": "example",
    "postal_code": "example",
    "city": "example",
    "country_code": "example",
    "phone": "example",
    "email": "example"
  }
}
400
Invalid request payload
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request payload",
  "error": "Invalid request payload"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
502
Upstream TLS provider error
application/jsonError
Response example 502
{
  "success": false,
  "message": "Upstream TLS provider error",
  "error": "Upstream TLS provider error"
}
Community

Become part of the community

The Regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every Regfish customer.